#!/bin/bash

iot_sk_update_gwid() {
        # get gateway ID from its MAC address to generate an EUI-64 address
        # default to wlan0; if no wlan0 then try eth0; else default fffe
        GWID_MIDFIX="fffe"
        GWID_BEGIN=$(ip link show wlan0 | awk '/ether/ {print $2}' | awk -F\: '{print $1$2$3}')

        if [ "$GWID_BEGIN" = "" ]
        then
            GWID_BEGIN=$(ip link show eth0 | awk '/ether/ {print $2}' | awk -F\: '{print $1$2$3}')
            GWID_END=$(ip link show eth0 | awk '/ether/ {print $2}' | awk -F\: '{print $4$5$6}')
        else
            GWID_END=$(ip link show wlan0 | awk '/ether/ {print $2}' | awk -F\: '{print $4$5$6}')
        fi

        # replace last 8 digits of default gateway ID by actual GWID, in given JSON configuration file
        sed -i 's/\(^\s*"gateway_ID":\s*"\).\{16\}"\s*\(,\?\).*$/\1'${GWID_BEGIN}${GWID_MIDFIX}${GWID_END}'"\2/' /root/lora/packet_forwarder/lora_pkt_fwd/*.json

        echo "Gateway_ID set to "$GWID_BEGIN$GWID_MIDFIX$GWID_END" in file "$1
}


res=$(ps -ef | grep dpkg | grep dpkg -n | tail -1 | awk -F: '{print $1}')
while [ "$res" != "2" ]
do
	echo "system is install php"
	sleep 5
	res=$(ps -ef | grep dpkg | grep dpkg -n | tail -1 | awk -F: '{print $1}')
done
sync
systemctl stop lrgateway
if [ ! -f "/root/lora/packet_forwarder/lora_pkt_fwd/reset_lgw.sh" ]
then
	cp /root/.func/update/patch-v128/.global_conf_EU868.json /root/lora/packet_forwarder/lora_pkt_fwd/global_conf_EU868.json
	cp /root/.func/update/patch-v128/lora_pkt_fwd /root/lora/packet_forwarder/lora_pkt_fwd/
	sync
	echo 123
	if [ "$(cat /root/lora/packet_forwarder/lora_pkt_fwd/global_conf.json | grep 8675)" != "" ]
	then
        	echo region is EU868
		cp /root/lora/packet_forwarder/lora_pkt_fwd/global_conf_EU868.json /root/lora/packet_forwarder/lora_pkt_fwd/global_conf.json
		sync
	fi
	systemctl restart lrgateway
else
	cp /root/.func/update/patch-v128/lora_pkt_fwd_1 /root/lora/packet_forwarder/lora_pkt_fwd/lora_pkt_fwd
	sync
fi

iot_sk_update_gwid
sync
systemctl restart lrgateway

cp /root/.func/update/patch-v128/getHeight.sh /root/.func/
cp /root/.func/update/patch-v128/clearlog.sh /root/.func/
cp /root/.func/update/patch-v128/index.php /var/www/html/
cp /root/.func/update/patch-v128/apply.php /var/www/html/
rm /root/.func/update/patch-v128.tar.gz
sync
echo "patch-v128.tar.gz" > /root/.func/update/version.txt
sync
systemctl restart rc.local
